be.fgov.ehealth.technicalconnector.ra.mapper

## Class RaMapperSelmaGeneratedClass

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.ra.mapper.RaMapperSelmaGeneratedClass

- All Implemented Interfaces:
    RaMapper

      public final class RaMapperSelmaGeneratedClass
      extends Object
      implements RaMapper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RaMapperSelmaGeneratedClass()` Single constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Actor` | `asActor(ActorType inActorType)`
    `ActorId` | `asActorId(Id inId)`
    `ActorQualities` | `asActorQualities(GetActorQualitiesResponse inGetActorQualitiesResponse)`
    `ActorType` | `asActorType(Actor inActor)`
    `Certificate` | `asCertificate(GenerateCertificateResponse inGenerateCertificateResponse)`
    `CertificateIdentifierType` | `asCertificateIdentifierType(CertificateIdentifier inCertificateIdentifier)`
    `ContactDataType` | `asContactDataType(ContactData inContactData)`
    `ContractType` | `asContractType(NewCertificateContract inNewCertificateContract)`
    `GenerateContractRequest` | `asGenerateContractRequest(ContractRequest inContractRequest)`
    `GenerateRevocationContractRequest` | `asGenerateContractRequest(RevocationContractRequest inRevocationContractRequest)`
    `GeneratedContract` | `asGeneratedContract(ContractType inContractType)`
    `Id` | `asId(ActorId inActorId)`
    `LocalizedString` | `asLocalizedString(LocalizedString inLocalizedString)`
    `LocalizedString` | `asLocalizedString(LocalizedString inLocalizedString)`
    `LocalizedText` | `asLocalizedText(TextType inTextType)`
    `Organization` | `asOrganization(OrganizationType inOrganizationType)`
    `GeneratedRevocationContract` | `asRevocationContract(RevocationContractType inRevocationContractType)`
    `RevocationContractType` | `asRevocationContractType(GeneratedRevocationContract inGeneratedRevocationContract)`
    `RevokeRequest` | `asRevokeRequest(RevocationRequest inRevocationRequest)`
    `SubmitCSRForForeignerRequest` | `asSubmitCSRForForeignerRequest(ForeignerRequest inForeignerRequest)`
    `SubmitCSRForForeignerResponseInfo` | `asSubmitCSRForForeignerResponseInfo(SubmitCSRForForeignerResponse inSubmitCSRForForeignerResponse)`
    `TextType` | `asTextType(LocalizedText inLocalizedText)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RaMapperSelmaGeneratedClass

          public RaMapperSelmaGeneratedClass()

      Single constructor

  - ### Method Detail

    - #### asOrganization

          public final Organization asOrganization(OrganizationType inOrganizationType)

      Specified by:
        `asOrganization` in interface `RaMapper`

    - #### asLocalizedText

          public final LocalizedText asLocalizedText(TextType inTextType)

    - #### asLocalizedString

          public final LocalizedString asLocalizedString(LocalizedString inLocalizedString)

    - #### asActorId

          public final ActorId asActorId(Id inId)

    - #### asContractType

          public final ContractType asContractType(NewCertificateContract inNewCertificateContract)

      Specified by:
        `asContractType` in interface `RaMapper`

    - #### asTextType

          public final TextType asTextType(LocalizedText inLocalizedText)

    - #### asLocalizedString

          public final LocalizedString asLocalizedString(LocalizedString inLocalizedString)

    - #### asActorType

          public final ActorType asActorType(Actor inActor)

    - #### asId

          public final Id asId(ActorId inActorId)

    - #### asGenerateContractRequest

          public final GenerateContractRequest asGenerateContractRequest(ContractRequest inContractRequest)

      Specified by:
        `asGenerateContractRequest` in interface `RaMapper`

    - #### asCertificateIdentifierType

          public final CertificateIdentifierType asCertificateIdentifierType(CertificateIdentifier inCertificateIdentifier)

    - #### asCertificate

          public final Certificate asCertificate(GenerateCertificateResponse inGenerateCertificateResponse)

      Specified by:
        `asCertificate` in interface `RaMapper`

    - #### asGeneratedContract

          public final GeneratedContract asGeneratedContract(ContractType inContractType)

      Specified by:
        `asGeneratedContract` in interface `RaMapper`

    - #### asActor

          public final Actor asActor(ActorType inActorType)

    - #### asSubmitCSRForForeignerRequest

          public final SubmitCSRForForeignerRequest asSubmitCSRForForeignerRequest(ForeignerRequest inForeignerRequest)

      Specified by:
        `asSubmitCSRForForeignerRequest` in interface `RaMapper`

    - #### asContactDataType

          public final ContactDataType asContactDataType(ContactData inContactData)

      Specified by:
        `asContactDataType` in interface `RaMapper`

    - #### asRevocationContract

          public final GeneratedRevocationContract asRevocationContract(RevocationContractType inRevocationContractType)

      Specified by:
        `asRevocationContract` in interface `RaMapper`

    - #### asSubmitCSRForForeignerResponseInfo

          public final SubmitCSRForForeignerResponseInfo asSubmitCSRForForeignerResponseInfo(SubmitCSRForForeignerResponse inSubmitCSRForForeignerResponse)

      Specified by:
        `asSubmitCSRForForeignerResponseInfo` in interface `RaMapper`

    - #### asActorQualities

          public final ActorQualities asActorQualities(GetActorQualitiesResponse inGetActorQualitiesResponse)

      Specified by:
        `asActorQualities` in interface `RaMapper`

    - #### asGenerateContractRequest

          public final GenerateRevocationContractRequest asGenerateContractRequest(RevocationContractRequest inRevocationContractRequest)

      Specified by:
        `asGenerateContractRequest` in interface `RaMapper`

    - #### asRevokeRequest

          public final RevokeRequest asRevokeRequest(RevocationRequest inRevocationRequest)

      Specified by:
        `asRevokeRequest` in interface `RaMapper`

    - #### asRevocationContractType

          public final RevocationContractType asRevocationContractType(GeneratedRevocationContract inGeneratedRevocationContract)

Connector Packaging PERSPHYSICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.